git » go-1.20.git » commit 088c264

Update to release r59, add basic check() function

author Rémy Oudompheng
2011-08-06 11:31:43 UTC
committer Rémy Oudompheng
2011-08-06 11:31:43 UTC
parent aa012cb8d8bfba54552f8743d10dd95d490c31dd

Update to release r59, add basic check() function

PKGBUILD +9 -1

diff --git a/PKGBUILD b/PKGBUILD
index 6aa68ab..ea1d26b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,7 +4,7 @@
 # Contributor: Christian Himpel <chressie at gmail dot com>
 
 pkgname=go
-pkgver=r58
+pkgver=r59
 pkgrel=1
 epoch=1
 pkgdesc='Google Go compiler and tools (release version)'
@@ -52,6 +52,14 @@ build() {
   . ./make.bash 
 }
 
+check() {
+  export GOROOT="$srcdir/$_hgrepo-build"
+  export GOOS=linux
+  export GOBIN="$GOROOT/bin"
+  cd "$GOROOT/src/pkg"
+  gomake -k test || true
+}
+
 package() {
   cd "$srcdir/release-build"